AnsweredAssumed Answered

MQX 4.1 BSP Cloning Wizard - must use to create an MQX 4.0 BSP clone?

Question asked by gorakk on Apr 3, 2015
Latest reply on Apr 9, 2015 by gorakk

If both MQX 4.0.0 and 4.1.1 are installed - must the MQX 4.1 BSP Cloning Wizard be used to create a BSP clone for either one?

 

I had a situation recently where I needed to re-generate an MQX 4.0 BSP from scratch.  When this BSP was first generated I only had MQX 4.0.0 on my system.  This time I had both 4.0.0 and 4.1.1.

 

I used the MQX 4.0 BSP Cloning Wizard to create the clone - but when I tried to build it there were numerous errors.

 

After much head scratching I remembered seeing a selection in the MQX 4.1 BSP Cloning Wizard for MQX RTOS Version.  So I went to the MQX 4.1 BSP Cloning Wizard and selected an MQX RTOS Version of "4.0". This newly created BSP was able to be successfully built.

 

And looking ahead - when MQX 4.2 is released - will the MQX 4.2 BSP Cloning Wizard be required to create a 4.2, 4.1, or 4.0 BSP?

 

 

Allen

Outcomes